#!/usr/bin/env python3

from ev3dev2.sensor.lego import ColorSensor
from ev3dev2.motor import LargeMotor,OUTPUT_B,OUTPUT_C
from ev3dev2.button import Button
from ev3dev2.display import Display
from ev3dev2.sound import Sound
from ev3dev2.led import Leds
from time import sleep
from PIL import Image # Python Image Library (PIL)

try:
    cl  = ColorSensor()
    btn = Button()
    lcd = Display()
    sound = Sound()
    mB = LargeMotor(OUTPUT_B)
    mC = LargeMotor(OUTPUT_C)
    leds = Leds()

    cl.mode='COL-AMBIENT'
    avg=int(input("Insert the average please: "))
    print(avg)

    while not(btn.any()):
        if cl.value()>avg:
            im = Image.open('Tired right.bmp') #file handling
            lcd.image.paste(im, (0,0))
            leds.all_off()
            mB.off()
            mC.off()
        else:
            im = Image.open('Neutral.bmp') #file handling
            lcd.image.paste(im, (0,0))
            sound.play('/home/robot/sounds/Blip 1.wav')
            leds.set_color('LEFT',  'AMBER')
            leds.set_color('RIGHT',  'AMBER')
            mB.on(30)
            mC.on(30)
            lcd.update()
    lcd.clear()
    leds.all_off()
    mB.off()
    mC.off()
except Exception as e:
    print(e)


